<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html">system</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1system_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html">MockConnection</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::system::test::MockConnection Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html">alexaClientSDK::capabilityAgents::system::test::MockConnection</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html#a86d3893bd40491226d82a6e5f31363b6">AbstractAVSConnectionManager</a>(std::unordered_set&lt; std::shared_ptr&lt; ConnectionStatusObserverInterface &gt;&gt; observers=std::unordered_set&lt; std::shared_ptr&lt; ConnectionStatusObserverInterface &gt;&gt;())</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html">alexaClientSDK::avsCommon::avs::AbstractAVSConnectionManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html#a3afff3a16d2d4f91fe906011050632cb">addConnectionStatusObserver</a>(std::shared_ptr&lt; ConnectionStatusObserverInterface &gt; observer) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html">alexaClientSDK::avsCommon::avs::AbstractAVSConnectionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a0999e8ac4fced4973046c56128e0221d">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface::addConnectionStatusObserver</a>(std::shared_ptr&lt; ConnectionStatusObserverInterface &gt; observer)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a59cef4c3ad790f2e83cf749c58f6d762">addMessageObserver</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageObserverInterface &gt; observer)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html#a470b65d9c0de19f8bc6b12b46ceee917">clearObservers</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html">alexaClientSDK::avsCommon::avs::AbstractAVSConnectionManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html#aa6a18c0cd2413baade6c7038f462d9d5">ConnectionStatusObserverInterface</a> typedef</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html">alexaClientSDK::avsCommon::avs::AbstractAVSConnectionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#af7b0e2f0621475d477a5600a22c0856a">disable</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a7ddd9e49f66a82b30294d06fc4103b7c">enable</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html#a172550bdeb2bdd755f51eeefcf234eff">isConnected</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html">alexaClientSDK::capabilityAgents::system::test::MockConnection</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#acd629c8df953df0b7eb1db0a8e0ae4b8">isEnabled</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html#a8daac169160e8f2971b97cb7dc5207b4">m_connectionChangedReason</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html">alexaClientSDK::avsCommon::avs::AbstractAVSConnectionManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html#a8791702722c371676047e33ee32fb02d">m_connectionStatus</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html">alexaClientSDK::avsCommon::avs::AbstractAVSConnectionManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html#a0b2ab81c65337d27b798a1c825c96755">m_connectionStatusObservers</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html">alexaClientSDK::avsCommon::avs::AbstractAVSConnectionManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html#a2724a0639af89265cdafd230f549e5ce">m_mutex</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html">alexaClientSDK::avsCommon::avs::AbstractAVSConnectionManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html#a0fe6dbaf61e48769a5fc5cf3600e0e06">MOCK_METHOD0</a>(enable, void())</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html">alexaClientSDK::capabilityAgents::system::test::MockConnection</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html#a6e07213acf85f48bb0369ed080d0d3a3">MOCK_METHOD0</a>(disable, void())</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html">alexaClientSDK::capabilityAgents::system::test::MockConnection</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html#a9119fd75d016163e5bd20de6b0a9753c">MOCK_METHOD0</a>(isEnabled, bool())</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html">alexaClientSDK::capabilityAgents::system::test::MockConnection</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html#a2761f84223d8f3500cf309f8846e7881">MOCK_METHOD0</a>(reconnect, void())</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html">alexaClientSDK::capabilityAgents::system::test::MockConnection</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html#a3ccfe04755cbe92b059651b91aade903">MOCK_METHOD1</a>(addMessageObserver, void(std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageObserverInterface &gt; observer))</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html">alexaClientSDK::capabilityAgents::system::test::MockConnection</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html#abb1d5803d62e29c27e47ac50287a8c45">MOCK_METHOD1</a>(removeMessageObserver, void(std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageObserverInterface &gt; observer))</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html">alexaClientSDK::capabilityAgents::system::test::MockConnection</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html#a050678ad4e3b39dfd224d2836da2a644">MockConnection</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html">alexaClientSDK::capabilityAgents::system::test::MockConnection</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html#aa06a78116bbc10591100ee3326ca0c1c">notifyObservers</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html">alexaClientSDK::avsCommon::avs::AbstractAVSConnectionManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a47da5e13e61b698e761f5d6ffd6d82af">reconnect</a>()=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html#af574f5cb87dab039f991b0e9217b609c">removeConnectionStatusObserver</a>(std::shared_ptr&lt; ConnectionStatusObserverInterface &gt; observer) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html">alexaClientSDK::avsCommon::avs::AbstractAVSConnectionManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#ad7c477da1dce9926a7b4eaeda9d5c2af">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface::removeConnectionStatusObserver</a>(std::shared_ptr&lt; ConnectionStatusObserverInterface &gt; observer)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#a918925ff3e2c866ac3a41e30aa3247a7">removeMessageObserver</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageObserverInterface &gt; observer)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html#a5674f41aebaf699556743e6cb105bbb1">updateConnectionStatus</a>(ConnectionStatusObserverInterface::Status status, ConnectionStatusObserverInterface::ChangedReason reason)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html">alexaClientSDK::capabilityAgents::system::test::MockConnection</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html#a762c10a6c6cbb158943bbb7ac54fa79b">~AbstractAVSConnectionManager</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html">alexaClientSDK::avsCommon::avs::AbstractAVSConnectionManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html#ab45f6ca8f8e5e207f85639ab213b4654">~AVSConnectionManagerInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_a_v_s_connection_manager_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AVSConnectionManagerInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
